Package weka.core.stopwords

# Class AbstractFileBasedStopwords

java.lang.Object
weka.core.stopwords.AbstractStopwords
weka.core.stopwords.AbstractFileBasedStopwords

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `StopwordsHandler`

Direct Known Subclasses:
  `RegExpFromFile`, `WordsFromFile`

public abstract class AbstractFileBasedStopwords extends AbstractStopwords
Ancestor for file-based stopword schemes.

Version:
  $Revision: 10982 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFileBasedStopwords()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getOptions()`
  Gets the current settings of the Classifier.
  `File`
  `getStopwords()`
  returns the file used for obtaining the stopwords, if the file represents a directory then the default ones are used.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.
  `void`
  `setStopwords(File value)`
  Sets the file containing the stopwords, null or a directory unset the stopwords.
  `abstract String`
  `stopwordsTipText()`
  Returns the tip text for this property.

  ### Methods inherited from class weka.core.stopwords.AbstractStopwords

  `debugTipText, getDebug, globalInfo, isStopword, setDebug`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractFileBasedStopwords

    public AbstractFileBasedStopwords()

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractStopwords`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.
    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractStopwords`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the Classifier.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractStopwords`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### setStopwords

    public void setStopwords(File value)
    Sets the file containing the stopwords, null or a directory unset the stopwords.
    Parameters:
      `value` - the file containing the stopwords

  - ### getStopwords

    public File getStopwords()
    returns the file used for obtaining the stopwords, if the file represents a directory then the default ones are used.
    Returns:
      the file containing the stopwords

  - ### stopwordsTipText

    public abstract String stopwordsTipText()
    Returns the tip text for this property.
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui